Bug 141868 - Problem with gnome-netstatus-applet with dynamic network int (eg ppp)
Problem with gnome-netstatus-applet with dynamic network int (eg ppp)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-04 05:30 EST by Peter Robinson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:12:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of "gnome-netstatus-2.8.0-3" showing inactive state despite current network traffic. (14.74 KB, image/png)
2005-01-30 10:49 EST, Joachim Frieben
no flags Details

  None (edit)
Description Peter Robinson 2004-12-04 05:30:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When an interface disappears (such as a dialup ppp interface on a
dodgy line :-) and comes back up the applet doesn't realise the change
and just stays as is with the old network stats. To get it to update
itself you have to go into properties and select the loopback
interface and then reselect the ppp0 interface.

Version-Release number of selected component (if applicable):
gnome-applets-2.8.0-5

How reproducible:
Always

Steps to Reproduce:
1. Setup a dynamic interface (eg ppp)
1. Add gnome-netstatus-applet to panel
2. Add int to the applet
3. take down interface, then bring it back up
4. When interface is back up and transmitting data the 'lights' don't
flash and the stats aren't updated
    

Actual Results:  The interface lights don't flash and the data doesn't
update

Expected Results:  The applet should realise the interface is back up
and continue as before.

Additional info:

May be related to BUG # 141793 (Network Monitor can't switch between
NICs when one is removed) but it doesn't come up with the error as the
interface is there, its just gone away and come back.
Comment 1 Joachim Frieben 2005-01-30 10:45:41 EST
Similar phenomenon on Fedora Core development as Jan 29 2005.
"gnome-netstatus-2.8.0-3" (which, btw, is the right component to
reassign this bug to) correctly monitors the network traffic on "eth0"
as shown by the attached screenshot. Nevertheless, the connection
itsel is shown to be inactive which is certainly wrong.
Comment 2 Joachim Frieben 2005-01-30 10:49:06 EST
Created attachment 110411 [details]
Screenshot of "gnome-netstatus-2.8.0-3" showing inactive state despite current network traffic.
Comment 3 Matthew Miller 2006-07-10 16:42:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-11-05 11:12:23 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.